#!/bin/csh

# backup v4.2
set dnetdir=/home/groups/home/web/dnet
set imgdir=/home/groups/home/web/
set v45dir=$dnetdir/v45

/bin/mkdir -p $v45dir
/bin/mkdir -p $v45dir/page
/bin/mkdir -p $v45dir/help
/bin/mkdir -p $v45dir/local.jp
/bin/mkdir -p $v45dir/data

set module=(dnet.cgi xaddropt xagent.cgi xalarm xcabinet.cgi xdoc.cgi xdocreminder xenquete.cgi xforum.cgi xinfo.cgi xkoubai.cgi xlogaccess xlogdisksize xmail.cgi xmailintg xmailrefer.cgi xmailsearch xmemp.cgi xpay.cgi xproject.cgi xrefer.cgi xreminder xreport.cgi xsearch.cgi xstock.cgi xtag.cgi xwmlrecv)
set page=(dnrcommsg.html dnrcommsgexperr.html dnrcommsgimperr.html dnrcommsgimpok.html dnrcommsgwarn.html dnrmailprint.html xaddrentry.html xaddrentrydetail.html xaddrlist.html xaddrlistsearch.html xaddrrefer.html xaddrreferdetail.html xcomattachselect.html xcomconfirm.html xcomhtmleditentry.html xcomhtmleditlist.html xcommsg.html xdocentry.html xdocrefer.html xdocsetautoloaderr.html xdocsetautoloadfolderentry.html xdocsetautoloadmailentry.html xdocsetautoloadmaillist.html xenqrefer.html xenqsetrefer.html xforumarticle.html xforumarticlelisttree.html xforumarticletree.html xinfoentry.html xinfoentryspeditor.html xinfosetadmin.html xinfosetgen.html xlicensemulti.html xmailaccount.html xmailaccountclear.html xmaildelconfirm.html xmaildusttray.html xmailfilter.html xmailgenprivate.html xmailprint.html xmailsend.html xmailsendconfirm.html xmailsendspeditor.html xmailsetaccount.html xmailsetadmin.html xmailsetcapacityentry.html xmailsetcapacityselect.html xmailsetgen.html xmailsubwindow.html xmailtrouble.html xreportpdhedit.html xschsetadmin.html xschsetgen.html xschsubwindow.html xsetmodulesx.html xsetskype.html xsetsmtp.html xsetuserdispitem.html xsetusers.html xsetusersopt.html xtcardsetsync.html xusetgroups.html xusetsetadmin.html xusetsetgen.html xusetsetgroups.html xusetsubwindow.html xusetusersaddress.html xusetusersaddrsearch.html xusetusersadmin.html xusetusersopt.html)
set help=(circlerouteuser enqrouteuser flowrouteuser forumarticles forumartlisttree forumarttree forumgenprivate infogenprivate mailaccountclear maildusttray mailgenprivate maillist mailsend mailtroubleentry psetgroup psetgroupadd psetgroupmod pseticon usetgrpindex usetindex usetusersadmin usetusersopt)
set local=(com doc license mail message message.rich pset rich sch set tcard uset)

# module move
foreach m($module)
	/bin/mv $dnetdir/$m $v45dir/.
end
foreach p($page)
	/bin/mv $dnetdir/page/$p $v45dir/page/.
end
foreach h($help)
	/bin/mv $dnetdir/help/$h $v45dir/help/.
end
foreach l($local)
	/bin/mv $dnetdir/local.jp/$l $v45dir/local.jp/.
end

# data move
/bin/mv $dnetdir/LICENSE $v45dir/.

# data move
/bin/mkdir -p $v45dir/data/module
/bin/mv $dnetdir/data/module/sengine $v45dir/data/module/.

# image move
/bin/mkdir -p $v45dir/neoimage
/bin/mkdir -p $v45dir/neoimage/common
/bin/mkdir -p $v45dir/neoimage/common/black
/bin/mkdir -p $v45dir/neoimage/common/blue
/bin/mkdir -p $v45dir/neoimage/common/green
/bin/mkdir -p $v45dir/neoimage/common/orange
/bin/mkdir -p $v45dir/neoimage/common/pink
/bin/mkdir -p $v45dir/neoimage/common/red
/bin/mkdir -p $v45dir/neoimage/mail
/bin/mkdir -p $v45dir/neoimage/pset
/bin/mkdir -p $v45dir/neoimage/uset
/bin/mkdir -p $v45dir/neoimage/uset/black
/bin/mkdir -p $v45dir/neoimage/uset/blue
/bin/mkdir -p $v45dir/neoimage/uset/green
/bin/mkdir -p $v45dir/neoimage/uset/orange
/bin/mkdir -p $v45dir/neoimage/uset/pink
/bin/mkdir -p $v45dir/neoimage/uset/red
/bin/mv $imgdir/neoimage/common/ajax.gif $v45dir/neoimage/common/.
/bin/mv $imgdir/neoimage/common/flash.gif $v45dir/neoimage/common/.
/bin/mv $imgdir/neoimage/common/menu_userlist.gif $v45dir/neoimage/common/.
/bin/mv $imgdir/neoimage/common/s_off.gif $v45dir/neoimage/common/.
/bin/mv $imgdir/neoimage/common/s_on.gif $v45dir/neoimage/common/.
/bin/mv $imgdir/neoimage/common/black/menu_userlist_on.gif $v45dir/neoimage/common/black/.
/bin/mv $imgdir/neoimage/common/blue/menu_userlist_on.gif $v45dir/neoimage/common/blue/.
/bin/mv $imgdir/neoimage/common/green/menu_userlist_on.gif $v45dir/neoimage/common/green/.
/bin/mv $imgdir/neoimage/common/orange/menu_userlist_on.gif $v45dir/neoimage/common/orange/.
/bin/mv $imgdir/neoimage/common/pink/menu_userlist_on.gif $v45dir/neoimage/common/pink/.
/bin/mv $imgdir/neoimage/common/red/menu_userlist_on.gif $v45dir/neoimage/common/red/.
/bin/mv $imgdir/neoimage/mail/button_user.gif $v45dir/neoimage/mail/.
/bin/mv $imgdir/neoimage/mail/tb_userlist_d.gif $v45dir/neoimage/mail/.
/bin/mv $imgdir/neoimage/pset/tb_group_d.gif $v45dir/neoimage/pset/.
/bin/mv $imgdir/neoimage/pset/tb_group_l.gif $v45dir/neoimage/pset/.
/bin/mv $imgdir/neoimage/uset/black/t_userlist.gif $v45dir/neoimage/uset/black/.
/bin/mv $imgdir/neoimage/uset/blue/t_userlist.gif $v45dir/neoimage/uset/blue/.
/bin/mv $imgdir/neoimage/uset/green/t_userlist.gif $v45dir/neoimage/uset/green/.
/bin/mv $imgdir/neoimage/uset/orange/t_userlist.gif $v45dir/neoimage/uset/orange/.
/bin/mv $imgdir/neoimage/uset/pink/t_userlist.gif $v45dir/neoimage/uset/pink/.
/bin/mv $imgdir/neoimage/uset/red/t_userlist.gif $v45dir/neoimage/uset/red/.

# compress v45
/bin/tar zcvf $dnetdir/v45.tar.gz $v45dir
/bin/rm -fr $v45dir

echo "pre-install $$ $0" >> /tmp/install.log
exit 0
